Bug 1258134 - User-list not shown when switching users, two users logged in
User-list not shown when switching users, two users logged in
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
22
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-29 08:59 EDT by Kim Sandström
Modified: 2016-07-19 13:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:42:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kim Sandström 2015-08-29 08:59:59 EDT
Description of problem:
User list not shown when switching users.

Version-Release number of selected component (if applicable):
GDM 3.16.2
with xorg-x11-server-Xwayland-1.17.2-2.fc22.x86_64

How reproducible:
99%

Steps to Reproduce:
1. Log in user #1 using gdm
2. Log in user #2 using switch user command
   (gnome-shell upper left next to logout option, do _not_ logout user #1 )
   User-list is shown by gdm allowing a second user login
3. Give switch user command again.
4. Two users are logged in, user-list should be shown by gdm
5. Check in as either loggedin user again
6. Give switch user command again.
7. Two users are logged in, user-list should be shown by gdm

Actual results:
- Sometimes (if not always) a blank screen is shown instead of the user list.
- the expected user-list login prompt can be accessed by pressing ctrl-alt-F1
- user #1 screensaver/login prompt can be accessed by pressing ctrl-alt-F2
- user #2 screensaver/login prompt can be accessed by pressing ctrl-alt-F3

Expected results:
- Automatically show user list that exists on X11 console under ctrl-alt-F1

Additional info:
- This bug is a regression bug. It has been in Fedora before and has been fixed.
- I suspect this bug has reappeared as an attempt to eliminate screen flicker at logout and/or switch users. The bug I suspect was attempted to fix would be a xorg bug? (But that is just a guess, possibly bug 1033953) This bug is however a GDM bug?

whowatch dump:
(gdm-session-w kersti    tty2   :0                  /usr/libexec/gdm-x-session --run-script gnome-session                                      
(gdm-session-w kisandst  tty3   :1                  /usr/libexec/gdm-x-session --run-script gnome-session
(systemd)      kisandst  pts/0  :1                  /usr/libexec/gdm-x-session --run-script gnome-session
(systemd)      kisandst  pts/1  :1                  /usr/libexec/gdm-x-session --run-script gnome-session
Comment 1 Kim Sandström 2015-10-26 13:29:59 EDT
I'm having the same problem again with
gdm-3.16.3-1.fc22.x86_64
xorg-x11-server-Xwayland-1.17.2-2.fc22.x86_64
gnome-shell-3.16.3-1.fc22.x86_64

When switching to another user (with two users constantly logged in) the user select screen (on ctrl-alt-F1) is completely blank.

The symptoms are inconsistent. Sometimes right after a reboot teh system seems to work as expected. I hadn't seen the bug for a while now.
Comment 2 Kim Sandström 2015-10-26 13:31:57 EDT
whowatch dump:

(gdm-session-w kisandst  tty2   :0                  /usr/libexec/gdm-x-session --run-script gnome-session                                                               
(gdm-session-w kersti    tty3   :1                  /usr/libexec/gdm-x-session --run-script gnome-session
(systemd)      kisandst  pts/0  :0                  /usr/libexec/gdm-x-session --run-script gnome-session
(systemd)      kisandst  pts/2  :0                  /usr/libexec/gdm-x-session --run-script gnome-session
(gdm-session-w ingmar    tty4   :2                  /usr/libexec/gdm-x-session --run-script gnome-session
(systemd)      kisandst  pts/3  :0                  /usr/libexec/gdm-x-session --run-script gnome-session
Comment 3 Kim Sandström 2015-11-22 02:03:01 EST
The problem seems to reoccur constantly when a third user has been logged in via GDM. That is when three users have been logged in simultaneously.
Comment 4 Kim Sandström 2015-12-20 04:19:59 EST
This is a puzzling bug. Sometimes the system seems to work. I have a new hint though.

It seems to have something to do with gnome-shell, in particular gnome-panel. With the screensaver on one of the users had gnome panel visible and functional. I suspect this has something to do with one of the panel extensions. Not quite sure which.
Comment 5 Fedora End Of Life 2016-07-19 13:42:53 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.